Skip to main content
Resource Center/CloudFormation Operations

QueryEventFromResourceStack

QueryEventFromResourceStack

GET/zstack/v1/cloudformation/event
GET/zstack/v1/cloudformation/event/{uuid}

Operation ID

QueryEventFromResourceStack

Since

2.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • id
      longRequired

      The event ID.

    • description
      StringRequired

      The detailed description of the resource.

    • action
      StringRequired

      The event name.

    • content
      StringRequired

      The event parameter list.

    • resourceName
      StringRequired

      The resource name.

    • actionStatus
      StringRequired

      The action status.

    • stackUuid
      StringRequired

      The stack UUID.

    • duration
      StringRequired

      The event duration.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.